#include <string.h>
#include <assert.h>
#include <stdio.h>

#include "Bar.h"
#include "Foo.h"

char const * const init_foo_name = 
"FooWithEggs";

char const * const init_foo_eggs =
"TheEggsOfFoo";

char const * const init_bar_name =
"BarAssumingFooNameAsBrand";

int main(int argc, char *argv[])
{
	printf("Initializing Foo\n");
	Foo foo(init_foo_name, init_foo_eggs);
	foo.emitEggs();

	printf("Initializing Bar\n");
	Bar bar(init_bar_name);
	printf("Bar assuming Foo name as brand; should become:\n  %s\n", init_foo_name);
	bar.assumeSpamNameAsBrand(&foo);
	bar.emitBrand();

	return 0;
}

